ResourceTree (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.widget.ResourceTree class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.widget
Class ResourceTree

    java.lang.Object
      org.hyperic.image.WebImage
          org.hyperic.image.widget.ResourceTree

    public class ResourceTree

extends WebImage

Field Summary
`protected static java.awt.Color` | `DESC_COLOR`
`protected static java.awt.Font` | `DESC_FONT`
`protected static java.awt.Color` | `LINE_COLOR`
`protected static java.awt.Stroke` | `LINE_STROKE`
`protected static java.awt.Color` | `NAME_COLOR`
`protected static java.awt.Font` | `NAME_FONT`
`protected static java.awt.Color` | `SELECTED_COLOR`
`protected static java.awt.Font` | `SELECTED_FONT`
`protected static java.awt.Color` | `SOFT_LINE_COLOR`
`protected static java.awt.Color` | `TRANSPARENT_COLOR`

Fields inherited from class org.hyperic.image.WebImage
`antiAliased, ARG_CANNOT_BE_NULL, backgroundColor, bottomBorder, DEFAULT_BACKGROUND_COLOR, DEFAULT_BOLD_TYPEFACE, DEFAULT_BORDER_COLOR, DEFAULT_BORDER_SIZE, DEFAULT_FONT, DEFAULT_FONT_METRICS, DEFAULT_HEIGHT, DEFAULT_PLAIN_TYPEFACE, DEFAULT_SHADOW_WIDTH, DEFAULT_TEXT_COLOR, DEFAULT_WIDTH, font, frameImage, height, indexColors, leftBorder, m_graphics, rightBorder, shadowWidth, SMALL_FONT, textColor, topBorder, width`

Constructor Summary
`ResourceTree(int width)`
`ResourceTree(int width, int height)`

Method Summary
`void` | `addLevel(IResourceTreeNode[] resources)`
`protected void` | `addTestRect(java.awt.Rectangle rect)`
`void` | `calculateCoordinates()`
`protected void` | `draw(java.awt.Graphics2D g)`
`static java.awt.image.BufferedImage` | `getIcon(int type)`
`java.awt.Dimension` | `getImageSize()`
`IResourceTreeNode[][]` | `getLevels()`
`protected void` | `postInit(java.awt.Graphics2D g)`
`protected void` | `preInit()`
`void` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.image.WebImage
`getFontMetrics, getImage, getTextCenter, getTextCenter, getTextCenter, isRunnable, setBorder, writeJpegImage, writeJpegImage, writePngImage, writePngImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_FONT

    protected static final java.awt.Font NAME_FONT

### DESC_FONT

    protected static final java.awt.Font DESC_FONT

### SELECTED_FONT

    protected static final java.awt.Font SELECTED_FONT

### NAME_COLOR

    protected static final java.awt.Color NAME_COLOR

### DESC_COLOR

    protected static final java.awt.Color DESC_COLOR

### LINE_COLOR

    protected static final java.awt.Color LINE_COLOR

### SOFT_LINE_COLOR

    protected static final java.awt.Color SOFT_LINE_COLOR

### SELECTED_COLOR

    protected static final java.awt.Color SELECTED_COLOR

### TRANSPARENT_COLOR

    protected static final java.awt.Color TRANSPARENT_COLOR

### LINE_STROKE

    protected static final java.awt.Stroke LINE_STROKE

Constructor Detail

### ResourceTree

    public ResourceTree(int width)

### ResourceTree

    public ResourceTree(int width,
                        int height)

Method Detail

### addLevel

    public void addLevel(IResourceTreeNode[] resources)

### getImageSize

    public java.awt.Dimension getImageSize()

### getLevels

    public IResourceTreeNode[][] getLevels()

### calculateCoordinates

    public void calculateCoordinates()

### reset

    public void reset()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addTestRect

    protected void addTestRect(java.awt.Rectangle rect)

### draw

    protected void draw(java.awt.Graphics2D g)

  Overrides:
    `draw` in class `WebImage`

### postInit

    protected void postInit(java.awt.Graphics2D g)

  Overrides:
    `postInit` in class `WebImage`

### preInit

    protected void preInit()

  Overrides:
    `preInit` in class `WebImage`

### getIcon

    public static java.awt.image.BufferedImage getIcon(int type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.